libetonyek::IWORKPushCollector< Type, Container > Class Template Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKPushCollector< Type, Container > Class Template Reference

`#include <IWORKPushCollector.h>`

## Public Member Functions
| IWORKPushCollector (Container &collection)
template<class Context , class State >
IWORKXMLContextPtr_t | makeContext (State &state)
bool | pending () const
void | push ()

## Private Attributes
Container & | m_collection
boost::optional< Type > | m_value

## Constructor & Destructor Documentation

template<typename Type , class Container = std::deque<Type>>

libetonyek::IWORKPushCollector< Type, Container >::IWORKPushCollector | ( | Container & | collection | ) |
| inline

## Member Function Documentation

template<typename Type , class Container = std::deque<Type>>
template<class Context , class State >

IWORKXMLContextPtr_t libetonyek::IWORKPushCollector< Type, Container >::makeContext | ( | State & | state | ) |
| inline

template<typename Type , class Container = std::deque<Type>>

bool libetonyek::IWORKPushCollector< Type, Container >::pending | ( |  | ) | const
| inline

template<typename Type , class Container = std::deque<Type>>

void libetonyek::IWORKPushCollector< Type, Container >::push | ( |  | ) |
| inline

## Member Data Documentation

template<typename Type , class Container = std::deque<Type>>

Container& libetonyek::IWORKPushCollector< Type, Container >::m_collection
| private

Referenced by libetonyek::IWORKPushCollector< Type, Container >::push().

template<typename Type , class Container = std::deque<Type>>

boost::optional<Type> libetonyek::IWORKPushCollector< Type, Container >::m_value
| private

Referenced by libetonyek::IWORKPushCollector< Type, Container >::makeContext(), libetonyek::IWORKPushCollector< Type, Container >::pending(), and libetonyek::IWORKPushCollector< Type, Container >::push().

The documentation for this class was generated from the following file:

- IWORKPushCollector.h